/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 3, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.foundation.NSObjectScripting;

import dstep.foundation.NSDictionary;
import dstep.foundation.NSObject;
import dstep.foundation.NSScriptObjectSpecifier;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc : id;

template TNSScripting ()
{
	Object scriptingValueForSpecifier (NSScriptObjectSpecifier objectSpecifier);
	NSDictionary scriptingProperties ();
	void setScriptingProperties (NSDictionary properties);
	Object copyScriptingValue (Object value, NSString key, NSDictionary properties);
	Object newScriptingObjectOfClass (Class objectClass, NSString key, Object contentsValue, NSDictionary properties);
}

